﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace LocalizingValidation
{
    public class LocalizedException : Exception
    {
        public LocalizedException(string message, string resourceKey) : base(message)
        {
            this._ResourceKey = resourceKey;
        }
        private string _ResourceKey;
        public string ResourceKey
        {
            get
            {
                return this._ResourceKey;
            }
        }
    }
}
